Name:           perl-Object-InsideOut
Version:        3.51
Release:        1%{?dist}
Summary:        Comprehensive inside-out object support module 

Group:          Development/Libraries
License:        GPL+ or Artistic        
URL:            http://search.cpan.org/dist/Object-InsideOut            
Source0: http://search.cpan.org/CPAN/authors/id/J/JD/JDHEDDEN/Object-InsideOut-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Exception::Class) >= 1.22
BuildRequires:  perl(Want) >= 0.12
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides comprehensive support for implementing classes using the
inside-out object model.

This module implements inside-out objects as anonymous scalar references that
are blessed into a class with the scalar containing the ID for the object
(usually a sequence number). For Perl 5.8.3 and later, the scalar reference is
set as readonly to prevent accidental modifications to the ID. Object data
(i.e., fields) are stored within the class's package in either arrays indexed
by the object's ID, or hashes keyed to the object's ID.

%prep
%setup -q -n Object-InsideOut-%{version}

# Filter unwanted Requires, have to break the loop
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} `perl -p -e 's|\S+%{_docdir}/%{name}-%{version}\S+||'` |\
  sed -e '/perl(Math::Random::MT::Auto)/d'
EOF

%define __perl_requires %{_builddir}/Object-InsideOut-%{version}/%{name}-req
chmod +x %{__perl_requires}

# make sure doc/tests don't generate provides
# note we first filter out the bits in _docdir...
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} `perl -p -e 's|\S+%{_docdir}/%{name}-%{version}\S+||'` |\
    sed -e '/^perl(Object::InsideOut)$/d'
EOF

%define __perl_provides %{_builddir}/Object-InsideOut-%{version}/%{name}-prov 
chmod +x %{__perl_provides}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sat Oct 25 2008 Chris Weyl <cweyl@alumni.drew.edu> 3.51-1
- update to 3.51
- replace filter-provides.sh style filtering with inline

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> 3.38-1
- 3.38

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.06-2
- rebuild for new perl

* Tue Oct 10 2006 Chris Weyl <cweyl@alumni.drew.edu> 2.06-1
- update to 2.06
- add additional BRs: perl(Test::Pod[::Coverage])

* Mon Sep 25 2006 Chris Weyl <cweyl@alumni.drew.edu> 2.02-1
- update to 2.02

* Tue Sep 05 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.52-1
- update to 1.52

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.51-1
- update to 1.51, which now has a BR of perl(Want)
- rebuild per mass rebuild

* Fri Aug 11 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.49-1
- update to 1.49

* Sat Aug 05 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.48-1
- update to 1.48
- drop some unneeded bits from the spec

* Wed Jul  5 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.45-1
- bump release for build 

* Mon Jul  3 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.45-0.1
- corrected url's.

* Sat Jul 01 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.45-0
- Initial spec file for F-E
